OpenVDB 3.2.0

Public Types | Static Public Member Functions | List of all members
LeafManagerImpl< LeafManager< const TreeT > > Struct Template Reference

`#include <LeafManager.h>`

## Public Types
typedef LeafManager< const TreeT > | ManagerT
typedef ManagerT::RangeType | RangeT
typedef ManagerT::LeafType | LeafT
typedef ManagerT::BufferType | BufT

## Static Public Member Functions
static void | doSwapLeafBuffer (const RangeT &, size_t, LeafT **, BufT *, size_t)

## Member Typedef Documentation

## ◆ BufT

typedef ManagerT::BufferType BufT

## ◆ LeafT

typedef ManagerT::LeafType LeafT

## ◆ ManagerT

typedef LeafManager<const TreeT> ManagerT

## ◆ RangeT

typedef ManagerT::RangeType RangeT

## Member Function Documentation

## ◆ doSwapLeafBuffer()

static void doSwapLeafBuffer | ( | const RangeT & | ,
|  | size_t | ,
|  | LeafT ** | ,
|  | BufT * | ,
|  | size_t |
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- LeafManager.h